Bug 201073 - NullPointerException at org.netbeans.modules.cnd.modelutil.CsmDisplayUtilities.getContextLineHtml
NullPointerException at org.netbeans.modules.cnd.modelutil.CsmDisplayUtilitie...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 10:21 UTC by Exceptions Reporter
Modified: 2011-09-27 13:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.30 KB, text/plain)
2011-08-18 10:22 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-08-18 10:21:58 UTC
This issue was reported manually by vv159170.
It already has 1 duplicates 


Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_05-b13
OS: SunOS

User Comments:
GUEST: Right clicked in the NAvigator and click Find Usages for a variable.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.modelutil.CsmDisplayUtilities.getContextLineHtml(CsmDisplayUtilities.java:105)
   at org.netbeans.modules.cnd.api.model.xref.CsmReferenceSupport.getContextLineHtml(CsmReferenceSupport.java:91)
   at org.netbeans.modules.cnd.refactoring.elements.CsmRefactoringElementImpl.create(CsmRefactoringElementImpl.java:98)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmWhereUsedQueryPlugin.processIncludeQuery(CsmWhereUsedQueryPlugin.java:331)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmWhereUsedQueryPlugin.doPrepareElements(CsmWhereUsedQueryPlugin.java:126)
   at org.netbeans.modules.cnd.refactoring.plugins.CsmWhereUsedQueryPlugin.prepare(CsmWhereUsedQueryPlugin.java:109)
Comment 1 Exceptions Reporter 2011-08-18 10:22:03 UTC
Created attachment 110063 [details]
stacktrace
Comment 2 Alexander Simon 2011-09-14 10:14:45 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/d5b47419b7ac

VV please review fix.
Comment 3 Vladimir Voskresensky 2011-09-14 14:00:17 UTC
fix is safe and correct
Comment 4 Alexander Simon 2011-09-14 15:32:22 UTC
transplanted in releases_elif branch release701_fixes
d5b47419b7ac transplanted to 4a1820c5aae7
Comment 5 Quality Engineering 2011-09-15 14:17:02 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/d5b47419b7ac
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201073 NullPointerException at org.netbeans.modules.cnd.modelutil.CsmDisplayUtilities.getContextLineHtml
Comment 6 dnikitin 2011-09-16 12:55:04 UTC
verified in oss-platform-build #59 and sputnik-solstudio-main #3283
Comment 7 Quality Engineering 2011-09-26 13:27:20 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/4a1820c5aae7
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201073 NullPointerException at org.netbeans.modules.cnd.modelutil.CsmDisplayUtilities.getContextLineHtml
(transplanted from d5b47419b7acbc0afdd248bb942c21368cc607a9)
Comment 8 Alexander Pepin 2011-09-27 13:03:20 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo